cordova.define("com.gatahub.plugin.PushPlugin.PushNotification", function(require, exports, module) {
// This file is a modified version of the pushplugin https://github.com/phonegap-build/PushPlugin
var PushNotification = function() {};

PushNotification.prototype.register = function( successCallback, errorCallback, options ) {
  if( errorCallback == null ) { errorCallback = function() {}}

  if( typeof errorCallback != "function" ) {
    console.log( "PushNotification.register failure: failure parameter not a function" );
    return;
  }

  if( typeof successCallback != "function" ) {
    console.log( "PushNotification.register failure: success callback parameter must be a function" );
    return;
  }

  cordova.exec( successCallback, errorCallback, "PushPlugin", "register", [options] );
};

PushNotification.prototype.unregister = function( successCallback, errorCallback, options ) {
  if( errorCallback == null ) { errorCallback = function() {}}

  if( typeof errorCallback != "function" )  {
    console.log("PushNotification.unregister failure: failure parameter not a function" );
    return;
  }

  if( typeof successCallback != "function" ) {
    console.log( "PushNotification.unregister failure: success callback parameter must be a function" );
    return;
  }

  cordova.exec(successCallback, errorCallback, "PushPlugin", "unregister", [options]);
};

PushNotification.prototype.showToastNotification = function( successCallback, errorCallback, options ) {
  if( errorCallback == null ) { errorCallback = function () { } }

  if( typeof errorCallback != "function" ) {
    console.log( "PushNotification.register failure: failure parameter not a function" );
    return;
  }

  cordova.exec( successCallback, errorCallback, "PushPlugin", "showToastNotification", [options] );
};

PushNotification.prototype.setApplicationIconBadgeNumber = function( successCallback, errorCallback, badge ) {
  if( errorCallback == null ) { errorCallback = function() {}}

  if( typeof errorCallback != "function" )  {
    console.log( "PushNotification.setApplicationIconBadgeNumber failure: failure parameter not a function" );
    return;
  }

  if( typeof successCallback != "function" ) {
    console.log( "PushNotification.setApplicationIconBadgeNumber failure: success callback parameter must be a function" );
    return;
  }

  cordova.exec( successCallback, errorCallback, "PushPlugin", "setApplicationIconBadgeNumber", [{badge: badge}] );
};

if(! window.plugins ) {
  window.plugins = {};
}
if( !window.plugins.pushNotification ) {
  window.plugins.pushNotification = new PushNotification();
}

if( typeof module != 'undefined' && module.exports ) {
  module.exports = PushNotification;
}

});
