cordova.define("com.gatahub.plugin.mixpanel.MixpanelPlugin", function(require, exports, module) {
var exec = require("cordova/exec");
var mixpanel  = function() {
  this.alias = this.createAlias = function(alias, originalId, onSuccess, onFail) {
    exec( onSuccess, onFail, "MixpanelPlugin", "alias", [alias, originalId] );
  };

  this.flush = function( onSuccess, onFail ) {
    exec( onSuccess, onFail, "MixpanelPlugin", "flush", [] );
  };

  this.identify = function( id, onSuccess, onFail ) {
    exec( onSuccess, onFail, "MixpanelPlugin", "identify", [id] );
  };

  this.init = function( token, onSuccess, onFail ) {
    exec( onSuccess, onFail, "MixpanelPlugin", "init", [token] );
  };

  this.reset = function( onSuccess, onFail ) {
    exec( onSuccess, onFail, "MixpanelPlugin", "reset", [] );
  };

  this.track = function( eventName, eventProperties, onSuccess, onFail ) {
    exec( onSuccess, onFail, "MixpanelPlugin", "track", [eventName, eventProperties] );
  };

  this.people = {
    identify: function( distinctId, onSuccess, onFail ) {
      exec( onSuccess, onFail, "MixpanelPlugin", "people.identify", [distinctId] );
    },
    set: function( peopleProperties, onSuccess, onFail ) {
      exec( onSuccess, onFail, "MixpanelPlugin", "people.set", [peopleProperties] );
    },
    initPushHandling: function( pushToken, onSuccess, onFail ) {
      exec( onSuccess, onFail, "MixpanelPlugin", "people.initPushHandling", [pushToken] );
    },
    setPushRegistrationId: function( regid, onSuccess, onFail ) {
      exec( onSuccess, onFail, "MixpanelPlugin", "people.setPushRegistrationId", [regid] );
    },
    getNotificationIfAvailable: function( onSuccess, onFail ) {
      exec( onSuccess, onFail, "MixpanelPlugin", "people.getNotificationIfAvailable", [] );
    },
    getDistinctId: function( onSuccess, onFail ) {
      exec( onSuccess, onFail, "MixpanelPlugin", "people.getDistinctId", [] );
    }
  };
};


module.exports = new mixpanel();

});
